Subject: IGMPv3 querier to non-querier transition

From: Disha Chopra <[email-masked]>
Date: Tue, 21 Jan 2003 15:21:27 -0500 (EST)

RFC 2236(Section 3) states that

"    When a Querier receives a Leave Group message for a group that has
   group members on the reception interface, it sends [Last Member Query
   Count] Group-Specific Queries every [Last Member Query Interval] to
   the group being left.  These Group-Specific Queries have their Max
   Response time set to [Last Member Query Interval].  If no Reports are
   received after the response time of the last query expires, the
   routers assume that the group has no local members, as above.  Any
   Querier to non-Querier transition is ignored during this time; the
   same router keeps sending the Group-Specific Queries. "

What should be IGMPv3 behavior in a similar case where the querier is
sending out Q(G) / Q(G,S) during [Last Member Query Time] and receives a
query that would cause it to transition to the non-querier state.

Should the transition be ignored in this case (as in IGMPv2)?

TIA,
-Disha